<?php

/**
* Clase Bean para BalanceGeneral
*
* @package Prj
* @subpackage BalanceGeneralBean
* @author Willy
* @version SVN: : BalanceGeneralBean.class.php,v 1.1 2009/06/26 00:09:30 william.taype Exp $
*/
class BalanceGeneralBean{

  protected $IdBalanceGeneral;
  protected $IdSucursal;
  protected $NombreSucursal;
  protected $IdAdministrador;
  protected $NombreAdministrador;
  protected $TotalBalanceDia;
  protected $TotalGastoGeneral;
  protected $TotalIngreso;
  protected $TotalAdelantoSueldo;
  protected $Descripcion;
  protected $Fecha;
  protected $Total;
  protected $UsuarioCreacion;
  protected $TotalAnterior;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;

  protected $Mensaje;
  protected $Error;

  public function getIdBalanceGeneral(){
    return $this->IdBalanceGeneral;
  }
  public function setIdBalanceGeneral($v){
    $this->IdBalanceGeneral = $v;
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v){
    $this->Descripcion = $v;
  }
  public function getTotalAnterior(){
    return $this->TotalAnterior;
  }
  public function setTotalAnterior($v){
    $this->TotalAnterior = $v;
  }
  public function getIdSucursal(){
    return $this->IdSucursal;
  }
  public function setIdSucursal($v){
    $this->IdSucursal = $v;
  }
  public function getNombreSucursal(){
    return $this->NombreSucursal;
  }
  public function setNombreSucursal($v){
    $this->NombreSucursal = $v;
  }
  
  public function getIdAdministrador(){
    return $this->IdAdministrador;
  }
  public function setIdAdministrador($v){
    $this->IdAdministrador = $v;
  }
  public function getNombreAdministrador(){
    return $this->NombreAdministrador;
  }
  public function setNombreAdministrador($v){
    $this->NombreAdministrador = $v;
  }
  
  public function getTotalBalanceDia(){
    return $this->TotalBalanceDia;
  }
  public function setTotalBalanceDia($v){
    $this->TotalBalanceDia = $v;
  }
  
  public function getTotalGastoGeneral(){
    return $this->TotalGastoGeneral;
  }
  public function setTotalGastoGeneral($v){
    $this->TotalGastoGeneral = $v;
  }
  public function getTotalIngreso(){
    return $this->TotalIngreso;
  }
  public function setTotalIngreso($v){
    $this->TotalIngreso = $v;
  }
  public function getTotalAdelantoSueldo(){
    return $this->TotalAdelantoSueldo;
  }
  public function setTotalAdelantoSueldo($v){
    $this->TotalAdelantoSueldo = $v;
  }
	
  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v){
    $this->Fecha = $v;
  }
  public function getFechaFinal(){
    return $this->FechaFinal;
  }
  public function setFechaFinal($v){
    $this->FechaFinal = $v;
  }

  public function getTotal(){
    return $this->Total;
  }
  public function setTotal($v){
    $this->Total = $v;
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v){
    $this->Estado = $v;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v){
    $this->UsuarioCreacion = $v;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v){
    $this->FechaCreacion = $v;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v){
    $this->UsuarioModificacion = $v;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v){
    $this->FechaModificacion = $v;
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

}


